--- old/usr/src/head/grp.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/grp.h	Sat Aug  2 23:27:05 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _GRP_H
 #define	_GRP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.3.1 */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -52,8 +52,6 @@
 	char	**gr_mem;
 };
 
-#if defined(__STDC__)
-
 extern struct group *getgrgid(gid_t);		/* MT-unsafe */
 extern struct group *getgrnam(const char *);	/* MT-unsafe */
 
@@ -72,28 +70,6 @@
 extern struct group *getgrent(void);		/* MT-unsafe */
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)... */
 
-#else
-
-extern struct group *getgrgid();		/* MT-unsafe */
-extern struct group *getgrnam();		/* MT-unsafe */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern struct group *getgrent_r();
-extern struct group *fgetgrent_r();
-
-extern struct group *fgetgrent();		/* MT-unsafe */
-extern int initgroups();
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)
-extern void endgrent();
-extern void setgrent();
-extern struct group *getgrent();		/* MT-unsafe */
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)... */
-
-#endif	/* __STDC__ */
-
-
 /*
  * getgrgid_r() & getgrnam_r() prototypes are defined here.
  */
@@ -133,8 +109,6 @@
 #if	defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
 	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -180,60 +154,6 @@
 
 #endif  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
 
-#else  /* __STDC__ */
-
-#if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname getgrgid_r __posix_getgrgid_r
-#pragma redefine_extname getgrnam_r __posix_getgrnam_r
-extern int getgrgid_r();
-extern int getgrnam_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_getgrgid_r();
-extern int __posix_getgrnam_r();
-
-#ifdef	__lint
-
-#define	getgrgid_r __posix_getgrgid_r
-#define	getgrnam_r __posix_getgrnam_r
-
-#else	/* !__lint */
-
-static int
-getgrgid_r(__gid, __grp, __buf, __len, __res)
-	gid_t __gid;
-	struct group *__grp;
-	char *__buf;
-	int __len;
-	struct group **__res;
-{
-	return (__posix_getgrgid_r(__gid, __grp, __buf, __len, __res));
-}
-static int
-getgrnam_r(__cb, __grp, __buf, __len, __res)
-	char *__cb;
-	struct group *__grp;
-	char *__buf;
-	int __len;
-	struct group **__res;
-{
-	return (__posix_getgrnam_r(__cb, __grp, __buf, __len, __res));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern struct group *getgrgid_r();
-extern struct group *getgrnam_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/iconv.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/iconv.h	Sat Aug  2 23:27:05 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_ICONV_H
 #define	_ICONV_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -38,7 +38,6 @@
 
 typedef struct _iconv_info *iconv_t;
 
-#if defined(__STDC__)
 extern iconv_t	iconv_open(const char *, const char *);
 #ifdef _XPG6
 extern size_t	iconv(iconv_t, char **_RESTRICT_KYWD,
@@ -50,11 +49,6 @@
 		size_t *_RESTRICT_KYWD);
 #endif
 extern int	iconv_close(iconv_t);
-#else /* __STDC__ */
-extern iconv_t	iconv_open();
-extern size_t	iconv();
-extern int	iconv_close();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/ieeefp.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/ieeefp.h	Sat Aug  2 23:27:05 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _IEEEFP_H
 #define	_IEEEFP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -69,13 +69,9 @@
 	FP_PNORM = 9	/* positive normalized non-zero */
 } fpclass_t;
 
-#if defined(__STDC__)
 extern fpclass_t fpclass(double);	/* get class of double value */
 extern int	finite(double);
 extern int	unordered(double, double);
-#else
-extern fpclass_t fpclass();	/* get class of double value */
-#endif
 
 /*
  * ROUNDING CONTROL ******************************************
@@ -114,16 +110,9 @@
 
 #endif
 
-#if defined(__STDC__)
 extern fp_rnd	fpsetround(fp_rnd);	/* set rounding mode, return previous */
 extern fp_rnd	fpgetround(void);	/* return current rounding mode */
 
-#else
-extern fp_rnd	fpsetround();		/* set rounding mode, return previous */
-extern fp_rnd	fpgetround();		/* return current rounding mode */
-
-#endif
-
 /*
  * EXCEPTION CONTROL *****************************************
  *
@@ -182,34 +171,18 @@
 
 #endif
 
-#if defined(__STDC__)
 extern fp_except fpgetmask(void);		/* current exception mask */
 extern fp_except fpsetmask(fp_except);		/* set mask, return previous */
 extern fp_except fpgetsticky(void);		/* return logged exceptions */
 extern fp_except fpsetsticky(fp_except);	/* change logged exceptions */
 
-#else
-extern fp_except fpgetmask();	/* current exception mask */
-extern fp_except fpsetmask();	/* set mask, return previous */
-extern fp_except fpgetsticky();	/* return logged exceptions */
-extern fp_except fpsetsticky();	/* change logged exceptions */
-
-#endif
-
 /*
  * UTILITY MACROS ********************************************
  */
 
-#if defined(__STDC__)
 extern int isnanf(float);
 extern int isnand(double);
 
-#else
-extern int isnand();
-#define	isnanf(x)	(((*(long *)&(x) & 0x7f800000L) == 0x7f800000L) && \
-			    ((*(long *)&(x) & 0x007fffffL) != 0x00000000L))
-#endif
-
 #if defined(__i386) || defined(__amd64)
 
 /*
--- old/usr/src/head/inttypes.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/inttypes.h	Sat Aug  2 23:27:06 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _INTTYPES_H
 #define	_INTTYPES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <inttypes.h>, is specified by the ISO C standard,
  * standard, ISO/IEC 9899:1999 Programming language - C and is
@@ -105,7 +105,6 @@
 #if (!defined(_XOPEN_SOURCE) || defined(_XPG6)) || defined(_STDC_C99) || \
 	defined(__EXTENSIONS__)
 
-#ifdef __STDC__
 extern intmax_t  imaxabs(intmax_t);
 extern imaxdiv_t imaxdiv(intmax_t, intmax_t);
 extern intmax_t  strtoimax(const char *_RESTRICT_KYWD, char **_RESTRICT_KYWD,
@@ -116,14 +115,6 @@
 	wchar_t **_RESTRICT_KYWD, int);
 extern uintmax_t wcstoumax(const wchar_t *_RESTRICT_KYWD,
 	wchar_t **_RESTRICT_KYWD, int);
-#else
-extern intmax_t  imaxabs();
-extern imaxdiv_t imaxdiv();
-extern intmax_t  strtoimax();
-extern uintmax_t strtoumax();
-extern intmax_t  wcstoimax();
-extern uintmax_t wcstoumax();
-#endif
 
 #endif /* (!defined(_XOPEN_SOURCE) || defined(_XPG6)) ... */
 
--- old/usr/src/head/iso/ctype_iso.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/ctype_iso.h	Sat Aug  2 23:27:06 2014
@@ -22,14 +22,12 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
- */
 
 /*
  * An application should not include this header directly.  Instead it
@@ -79,8 +77,6 @@
 extern int		*__trans_upper;
 extern int		*__trans_lower;
 
-#if defined(__STDC__)
-
 #if __cplusplus >= 199711L
 namespace std {
 #endif
@@ -114,27 +110,6 @@
 } /* end of namespace std */
 #endif
 
-#else	/* defined(__STDC__) */
-
-#if !defined(__lint)
-
-extern int isalpha();
-extern int isupper();
-extern int islower();
-extern int isdigit();
-extern int isxdigit();
-extern int isalnum();
-extern int isspace();
-extern int ispunct();
-extern int isprint();
-extern int isgraph();
-extern int iscntrl();
-extern int isblank();
-
-#endif	/* !defined(__lint) */
-
-#endif	/* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/iso/locale_iso.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/locale_iso.h	Sat Aug  2 23:27:06 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -43,8 +45,6 @@
 #ifndef	_ISO_LOCALE_ISO_H
 #define	_ISO_LOCALE_ISO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #ifdef __cplusplus
@@ -107,13 +107,8 @@
 #endif
 #endif
 
-#if	defined(__STDC__)
 extern char	*setlocale(int, const char *);
 extern struct lconv *localeconv(void);
-#else
-extern char   *setlocale();
-extern struct lconv	*localeconv();
-#endif
 
 #if __cplusplus >= 199711L
 }
--- old/usr/src/head/iso/setjmp_iso.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/setjmp_iso.h	Sat Aug  2 23:27:06 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -87,8 +88,6 @@
 #error "ISA not supported"
 #endif
 
-#if defined(__STDC__)
-
 extern int setjmp(jmp_buf) __RETURNS_TWICE;
 #pragma unknown_control_flow(setjmp)
 extern int _setjmp(jmp_buf) __RETURNS_TWICE;
@@ -96,17 +95,6 @@
 extern void longjmp(jmp_buf, int) __NORETURN;
 extern void _longjmp(jmp_buf, int) __NORETURN;
 
-#else
-
-extern int setjmp() __RETURNS_TWICE;
-#pragma unknown_control_flow(setjmp)
-extern int _setjmp() __RETURNS_TWICE;
-#pragma unknown_control_flow(_setjmp)
-extern void longjmp();
-extern void _longjmp();
-
-#endif  /* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/signal_iso.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/signal_iso.h	Sat Aug  2 23:27:06 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1998-1999, by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -43,9 +45,6 @@
 #ifndef _ISO_SIGNAL_ISO_H
 #define	_ISO_SIGNAL_ISO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-/* SVr4.0 1.5.3.4 */
-
 #include <sys/iso/signal_iso.h>
 
 #ifdef	__cplusplus
@@ -58,8 +57,6 @@
 
 typedef int	sig_atomic_t;
 
-#if defined(__STDC__)
-
 #ifdef __cplusplus
 extern "C" SIG_PF signal(int, SIG_PF);
 #else
@@ -67,13 +64,6 @@
 #endif
 extern int raise(int);
 
-#else /* __STDC__ */
-
-extern	void(*signal())();
-extern int raise();
-
-#endif /* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/stdio_c99.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/stdio_c99.h	Sat Aug  2 23:27:06 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -38,8 +40,6 @@
 #ifndef _ISO_STDIO_C99_H
 #define	_ISO_STDIO_C99_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -71,29 +71,18 @@
 #endif
 #endif /* !defined(_LP64) && !defined(_LONGLONG_TYPE) */
 
-#ifdef __STDC__
 extern int vfscanf(FILE *_RESTRICT_KYWD, const char *_RESTRICT_KYWD, __va_list);
 extern int vscanf(const char *_RESTRICT_KYWD, __va_list);
 extern int vsscanf(const char *_RESTRICT_KYWD, const char *_RESTRICT_KYWD,
 		__va_list);
-#else
-extern int vfscanf();
-extern int vscanf();
-extern int vsscanf();
-#endif /* __STDC__ */
 #endif /* defined(__EXTENSIONS__) ... */
 #if defined(__EXTENSIONS__) || defined(_STDC_C99) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_XPG5)
-#ifdef __STDC__
 extern int snprintf(char *_RESTRICT_KYWD, size_t, const char *_RESTRICT_KYWD,
 	...);
 extern int vsnprintf(char *_RESTRICT_KYWD, size_t, const char *_RESTRICT_KYWD,
 	__va_list);
-#else
-extern int snprintf();
-extern int vsnprintf();
-#endif /* __STDC__ */
 
 #endif /* defined(__EXTENSIONS__) || defined(_STDC_C99) ... */
 
--- old/usr/src/head/iso/stdio_iso.h	Sat Aug  2 23:27:06 2014
+++ new/usr/src/head/iso/stdio_iso.h	Sat Aug  2 23:27:06 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -157,17 +159,10 @@
 
 #define	L_tmpnam	25	/* (sizeof(P_tmpdir) + 15) */
 
-#if defined(__STDC__)
 extern __FILE	__iob[_NFILE];
 #define	stdin	(&__iob[0])
 #define	stdout	(&__iob[1])
 #define	stderr	(&__iob[2])
-#else
-extern __FILE	_iob[_NFILE];
-#define	stdin	(&_iob[0])
-#define	stdout	(&_iob[1])
-#define	stderr	(&_iob[2])
-#endif	/* __STDC__ */
 
 #if __cplusplus >= 199711L
 namespace std {
@@ -199,8 +194,6 @@
 
 #endif /* !defined(_LP64) && !defined(_LONGLONG_TYPE) */
 
-#if defined(__STDC__)
-
 extern int	remove(const char *);
 extern int	rename(const char *, const char *);
 extern FILE	*tmpfile(void);
@@ -272,57 +265,6 @@
 extern int	__flsbuf(int, FILE *);
 #endif	/*	_LP64	*/
 
-#else	/* !defined __STDC__ */
-
-extern int	remove();
-extern int	rename();
-extern FILE	*tmpfile();
-extern char	*tmpnam();
-extern int	fclose();
-extern int	fflush();
-extern FILE	*fopen();
-extern FILE	*freopen();
-extern void	setbuf();
-extern int	setvbuf();
-extern int	fprintf();
-extern int	fscanf();
-extern int	printf();
-extern int	scanf();
-extern int	sprintf();
-extern int	sscanf();
-extern int	vfprintf();
-extern int	vprintf();
-extern int	vsprintf();
-extern int	fgetc();
-extern char	*fgets();
-extern int	fputc();
-extern int	fputs();
-extern int	getc();
-extern int	getchar();
-extern char	*gets();
-extern int	putc();
-extern int	putchar();
-extern int	puts();
-extern int	ungetc();
-extern size_t	fread();
-extern size_t	fwrite();
-extern int	fgetpos();
-extern int	fseek();
-extern int	fsetpos();
-extern long	ftell();
-extern void	rewind();
-extern void	clearerr();
-extern int	feof();
-extern int	ferror();
-extern void	perror();
-
-#ifndef	_LP64
-extern int	_filbuf();
-extern int	_flsbuf();
-#endif	/*	_LP64	*/
-
-#endif	/* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
@@ -331,7 +273,6 @@
 
 #if	!defined(_REENTRANT) && !defined(_LP64)
 
-#ifdef	__STDC__
 #if __cplusplus >= 199711L
 namespace std {
 inline int getc(FILE *_p) {
@@ -345,11 +286,6 @@
 #define	putc(x, p)	(--(p)->_cnt < 0 ? __flsbuf((x), (p)) \
 				: (int)(*(p)->_ptr++ = (unsigned char) (x)))
 #endif /* __cplusplus >= 199711L */
-#else /* __STDC__ */
-#define	getc(p)		(--(p)->_cnt < 0 ? _filbuf(p) : (int)*(p)->_ptr++)
-#define	putc(x, p)	(--(p)->_cnt < 0 ? _flsbuf((x), (p)) : \
-				(int)(*(p)->_ptr++ = (unsigned char) (x)))
-#endif	/* __STDC__ */
 
 #endif /* !defined(_REENTRANT) && !defined(_LP64) */
 
--- old/usr/src/head/iso/stdlib_c99.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/stdlib_c99.h	Sat Aug  2 23:27:07 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -38,8 +40,6 @@
 #ifndef _ISO_STDLIB_C99_H
 #define	_ISO_STDLIB_C99_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -59,8 +59,6 @@
 } lldiv_t;
 #endif  /* defined(_LONGLONG_TYPE) */
 
-#ifdef __STDC__
-
 #if (!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_STDC_C99) || defined(__EXTENSIONS__)
 
@@ -80,26 +78,6 @@
 
 #endif  /* (!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) ... */
 
-#else /* __STDC__ */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-
-extern void _Exit();
-extern float strtof();
-extern long double strtold();
-
-#if defined(_LONGLONG_TYPE)
-extern long long atoll();
-extern long long llabs();
-extern lldiv_t lldiv();
-extern long long strtoll();
-extern unsigned long long strtoull();
-#endif /* defined(_LONGLONG_TYPE) */
-
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG6)... */
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/iso/stdlib_iso.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/stdlib_iso.h	Sat Aug  2 23:27:07 2014
@@ -20,12 +20,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
- */
 
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
@@ -52,11 +51,7 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 unsigned char __mb_cur_max(void);
-#else
-unsigned char __mb_cur_max();
-#endif
 #ifndef MB_CUR_MAX
 #define	MB_CUR_MAX	(__mb_cur_max())
 #endif
@@ -120,8 +115,6 @@
 #endif	/* !_WCHAR_T */
 #endif	/* !defined(__cplusplus) ... */
 
-#if defined(__STDC__)
-
 extern void abort(void) __NORETURN;
 extern int abs(int);
 extern int atexit(void (*)(void));
@@ -174,39 +167,6 @@
 }
 #endif /* __cplusplus */
 
-#else /* not __STDC__ */
-
-extern void abort();
-extern int abs();
-extern int atexit();
-extern double atof();
-extern int atoi();
-extern long int atol();
-extern void *bsearch();
-extern void *calloc();
-extern div_t div();
-extern void exit();
-extern void free();
-extern char *getenv();
-extern long int labs();
-extern ldiv_t ldiv();
-extern void *malloc();
-extern int mblen();
-extern size_t mbstowcs();
-extern int mbtowc();
-extern void qsort();
-extern int rand();
-extern void *realloc();
-extern void srand();
-extern double strtod();
-extern long int strtol();
-extern unsigned long strtoul();
-extern int system();
-extern int wctomb();
-extern size_t wcstombs();
-
-#endif	/* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/string_iso.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/string_iso.h	Sat Aug  2 23:27:07 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -43,8 +45,6 @@
 #ifndef _ISO_STRING_ISO_H
 #define	_ISO_STRING_ISO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -72,8 +72,6 @@
 #endif
 #endif
 
-#if defined(__STDC__)
-
 extern int memcmp(const void *, const void *, size_t);
 extern void *memcpy(void *_RESTRICT_KYWD, const void *_RESTRICT_KYWD, size_t);
 extern void *memmove(void *, const void *, size_t);
@@ -151,33 +149,6 @@
 extern char *strstr(const char *, const char *);
 #endif /* __cplusplus >= 199711L */
 
-#else	/* __STDC__ */
-
-extern void *memchr();
-extern int memcmp();
-extern void *memcpy();
-extern void *memmove();
-extern void *memset();
-extern char *strcat();
-extern char *strchr();
-extern int strcmp();
-extern int strcoll();
-extern char *strcpy();
-extern size_t strcspn();
-extern char *strerror();
-extern size_t strlen();
-extern char *strncat();
-extern int strncmp();
-extern char *strncpy();
-extern char *strpbrk();
-extern char *strrchr();
-extern size_t strspn();
-extern char *strstr();
-extern char *strtok();
-extern size_t strxfrm();
-
-#endif	/* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/time_iso.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/time_iso.h	Sat Aug  2 23:27:07 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -43,8 +44,6 @@
 #ifndef _ISO_TIME_ISO_H
 #define	_ISO_TIME_ISO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI" /* SVr4.0 1.18 */
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -97,8 +96,6 @@
 };
 
 
-#if defined(__STDC__)
-
 extern char *asctime(const struct tm *);
 extern clock_t clock(void);
 extern char *ctime(const time_t *);
@@ -110,20 +107,6 @@
 extern size_t strftime(char *_RESTRICT_KYWD, size_t, const char *_RESTRICT_KYWD,
 	const struct tm *_RESTRICT_KYWD);
 
-#else /* __STDC__ */
-
-extern char *asctime();
-extern clock_t clock();
-extern char *ctime();
-extern double difftime();
-extern struct tm *gmtime();
-extern struct tm *localtime();
-extern time_t mktime();
-extern time_t time();
-extern size_t strftime();
-
-#endif	/* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/wchar_c99.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/wchar_c99.h	Sat Aug  2 23:27:07 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -38,8 +40,6 @@
 #ifndef	_ISO_WCHAR_C99_H
 #define	_ISO_WCHAR_C99_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -58,8 +58,6 @@
 #endif
 #endif /* !defined(_LP64) && !defined(_LONGLONG_TYPE) */
 
-#ifdef __STDC__
-
 #if defined(_STDC_C99) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_XPG6) || defined(__EXTENSIONS__)
@@ -81,20 +79,6 @@
 
 #endif /* defined(_STDC_C99) || (!defined(_STRICT_STDC)... */
 
-#else /* __STDC__ */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-extern int 	vfwscanf();
-extern int 	vswscanf();
-extern int 	vwscanf();
-extern float 	wcstof();
-extern long double wcstold();
-extern long int wcstoll();
-extern long int wcstoull();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG6) ... */
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/iso/wchar_iso.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/wchar_iso.h	Sat Aug  2 23:27:07 2014
@@ -20,15 +20,13 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
 /*
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
- */
-
-/*
  * An application should not include this header directly.  Instead it
  * should be included only through the inclusion of other Sun headers.
  *
@@ -187,7 +185,6 @@
 #pragma redefine_extname fputws	__fputws_xpg5
 #pragma redefine_extname ungetwc	__ungetwc_xpg5
 #else	/* __PRAGMA_REDEFINE_EXTNAME */
-#ifdef __STDC__
 extern wint_t __fgetwc_xpg5(__FILE *);
 extern wint_t __getwc_xpg5(__FILE *);
 extern wint_t __getwchar_xpg5(void);
@@ -198,17 +195,6 @@
 			__FILE *_RESTRICT_KYWD);
 extern int __fputws_xpg5(const wchar_t *_RESTRICT_KYWD, __FILE *_RESTRICT_KYWD);
 extern wint_t __ungetwc_xpg5(wint_t, __FILE *);
-#else
-extern wint_t __fgetwc_xpg5();
-extern wint_t __getwc_xpg5();
-extern wint_t __getwchar_xpg5();
-extern wint_t __fputwc_xpg5();
-extern wint_t __putwc_xpg5();
-extern wint_t __putwchar_xpg5();
-extern wchar_t *__fgetws_xpg5();
-extern int __fputws_xpg5();
-extern wint_t __ungetwc_xpg5();
-#endif	/* __STDC__ */
 #define	fgetwc	__fgetwc_xpg5
 #define	getwc	__getwc_xpg5
 #define	getwchar	__getwchar_xpg5
@@ -222,8 +208,6 @@
 #endif /* not XPG4 and not XPG4v2 */
 #endif /* defined(_MSE_INT_H) */
 
-#ifdef __STDC__
-
 extern wint_t fgetwc(__FILE *);
 extern wchar_t *fgetws(wchar_t *_RESTRICT_KYWD, int, __FILE *_RESTRICT_KYWD);
 extern wint_t fputwc(wint_t, __FILE *);
@@ -360,89 +344,6 @@
 #endif /* __cplusplus >= 199711L */
 #endif /* not XPG4 and not XPG4v2 */
 
-#else /* __STDC__ */
-
-extern  wint_t fgetwc();
-extern  wchar_t *fgetws();
-extern  wint_t fputwc();
-extern  int fputws();
-extern  wint_t  ungetwc();
-extern wint_t getwc();
-extern wint_t getwchar();
-extern wint_t putwc();
-extern wint_t putwchar();
-extern wint_t ungetwc();
-extern double wcstod();
-extern long wcstol();
-extern unsigned long wcstoul();
-extern wchar_t *wcscat();
-extern wchar_t *wcschr();
-extern int wcscmp();
-extern int wcscoll();
-extern wchar_t *wcscpy();
-extern size_t wcscspn();
-extern size_t wcslen();
-extern wchar_t *wcsncat();
-extern int wcsncmp();
-extern wchar_t *wcsncpy();
-extern wchar_t *wcspbrk();
-extern wchar_t *wcsrchr();
-extern size_t wcsspn();
-extern size_t wcsxfrm();
-
-#if (!defined(_MSE_INT_H))
-#if defined(_XPG4) && !defined(_XPG5) /* XPG4 or XPG4v2 */
-extern wchar_t *wcstok();
-extern size_t wcsftime();
-#else	/* XPG4 or XPG4v2 */
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname wcstok	__wcstok_xpg5
-#pragma redefine_extname wcsftime	__wcsftime_xpg5
-extern wchar_t *wcstok();
-extern size_t wcsftime();
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern wchar_t *__wcstok_xpg5();
-extern size_t __wcsftime_xpg5();
-#define	wcstok	__wcstok_xpg5
-#define	wcsftime	__wcsftime_xpg5
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* XPG4 or XPG4v2 */
-#endif	/* defined(_MSE_INT_H) */
-
-/* not XPG4 and not XPG4v2 */
-#if (!defined(_XPG4) && !defined(_XPG4_2) || defined(_XPG5))
-extern wint_t	btowc();
-extern int	fwprintf();
-extern int	fwscanf();
-extern int	fwide();
-extern int	mbsinit();
-extern size_t	mbrlen();
-extern size_t	mbrtowc();
-extern size_t	mbsrtowcs();
-extern int	swprintf();
-extern int	swscanf();
-extern int	vfwprintf();
-extern int	vwprintf();
-extern int	vswprintf();
-extern size_t	wcrtomb();
-extern size_t	wcsrtombs();
-#if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
-extern size_t	wcsnrtombs();
-#endif
-
-extern wchar_t	*wcsstr();
-extern int	wctob();
-extern wchar_t	*wmemchr();
-extern int	wmemcmp();
-extern wchar_t	*wmemcpy();
-extern wchar_t	*wmemmove();
-extern wchar_t	*wmemset();
-extern int	wprintf();
-extern int	wscanf();
-#endif /* not XPG4 and not XPG4v2 */
-
-#endif /* __STDC__ */
-
 #if __cplusplus >= 199711L
 }
 #endif /* end of namespace std */
--- old/usr/src/head/iso/wctype_iso.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/iso/wctype_iso.h	Sat Aug  2 23:27:07 2014
@@ -24,12 +24,11 @@
 /*	definitions for international functions	*/
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
- */
 
 /*
  * An application should not include this header directly.  Instead it
@@ -83,7 +82,6 @@
 #endif /* WEOF */
 #endif /* not XPG4 and not XPG4v2 */
 
-#ifdef __STDC__
 extern	int iswalnum(wint_t);
 extern	int iswalpha(wint_t);
 extern	int iswcntrl(wint_t);
@@ -108,29 +106,6 @@
 extern	wint_t towctrans(wint_t, wctrans_t);
 extern  int iswctype(wint_t, wctype_t);
 extern  wctype_t wctype(const char *);
-#else	/* __STDC__ */
-extern  int iswalnum();
-extern  int iswalpha();
-extern  int iswcntrl();
-extern  int iswdigit();
-extern  int iswgraph();
-extern  int iswlower();
-extern  int iswprint();
-extern  int iswpunct();
-extern  int iswspace();
-extern  int iswupper();
-extern  int iswxdigit();
-/* tow* also become functions */
-extern  wint_t towlower();
-extern  wint_t towupper();
-extern	wctrans_t wctrans();
-extern	wint_t towctrans();
-extern  int iswctype();
-extern  wctype_t wctype();
-#if defined(_XPG6) || !defined(_STRICT_SYMBOLS)
-extern  int iswblank();
-#endif
-#endif	/* __STDC__ */
 
 /* bit definition for character class */
 
--- old/usr/src/head/langinfo.h	Sat Aug  2 23:27:07 2014
+++ new/usr/src/head/langinfo.h	Sat Aug  2 23:27:07 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,11 +29,7 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-/*
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
- */
 
-
 #ifndef	_LANGINFO_H
 #define	_LANGINFO_H
 
@@ -146,11 +144,7 @@
 /*
  * and the definitions of functions langinfo(3C)
  */
-#if defined(__STDC__)
 char   *nl_langinfo(nl_item);	/* get a string from the database	*/
-#else
-char   *nl_langinfo();		/* get a string from the database	*/
-#endif
 
 #if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
 #ifndef	_LOCALE_T
@@ -158,12 +152,8 @@
 typedef struct _locale *locale_t;
 #endif
 
-#if defined(__STDC__)
 char	*nl_langinfo_l(nl_item, locale_t);
-#else
-char	*nl_langinfo_l();
 #endif
-#endif
 
 #ifdef	__cplusplus
 }
